MODULE YOMPGO

USE PARKIND1  ,ONLY : JPIM

IMPLICIT NONE

SAVE

! NPTCH   - POINTER IN CHARACTER DATA BLOCK
! NPTIN   - POINTER IN INTEGER DATA BLOCK
! NPTRE   - POINTER IN REAL DATA BLOCK
! NPTIND  - POINTER IN INDEX
! NLENNAM - LENGTH OF RECORD NAMES
! NLENRBL2- LENGTH OF REAL BLOCK 2
! NLENREA - DIMENSION OF REAL DATA BLOCK
! NLENIND - DIMENSION OF INDEX
! NLENINT - DIMENSION OF INTEGER DATA BLOCK
! NLENCHA - DIMENSION OF CHARACTER DATA BLOCK (IN CHARACTERS)

INTEGER(KIND=JPIM) :: NPTCH
INTEGER(KIND=JPIM) :: NPTIN
INTEGER(KIND=JPIM) :: NPTRE
INTEGER(KIND=JPIM) :: NPTIND
INTEGER(KIND=JPIM) :: NLENNAM
INTEGER(KIND=JPIM) :: NLENRBL2
INTEGER(KIND=JPIM) :: NLENREA
INTEGER(KIND=JPIM) :: NLENIND
INTEGER(KIND=JPIM) :: NLENINT
INTEGER(KIND=JPIM) :: NLENCHA

END MODULE YOMPGO
